<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('result_tables', function (Blueprint $table) {
            $table->id();
            $table->integer('emp_id')->default(0);
            $table->integer('time_id')->default(0);
            $table->integer('food_id')->default(0);
            $table->integer('status')->default(0);

            $table->date('added_on')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('result_tables');
    }
};
